# coding: utf-8

"""
    VMware Aria Automation Assembler Blueprint API

    A multi-cloud Blueprint API for VMware Aria Automation Services  This page describes the RESTful APIs for Blueprint. The APIs facilitate CRUD operations on the various resources and entities used throughout Blueprint (Blueprints, Blueprint Terraform Integrations , PropertyGroups , etc.) and allow operations on them (creating a Blueprint, creating a Property group, etc.).  The APIs that list collections of resources  also support OData like implementation. Below query params can be used across Blueprint entities.  Example:  1. `$orderby` - returns a result with the rows being sorted by the values of provided attribute.      ```/blueprint/api/blueprints?$orderby=name%20desc```  2. `$top`, `$skip` - `$top` returns the requested number of resources. Used with `$skip`, the client can skip a given number of resources.      ```/blueprint/api/blueprints?$top=10&$skip=2```   # noqa: E501

    OpenAPI spec version: 2019-09-12
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class ContentSourceConfig(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'content_type': 'str',
        'path': 'str',
        'branch': 'str',
        'repository': 'str',
        'integration_id': 'str',
        'request_scope_org': 'bool'
    }

    attribute_map = {
        'content_type': 'contentType',
        'path': 'path',
        'branch': 'branch',
        'repository': 'repository',
        'integration_id': 'integrationId',
        'request_scope_org': 'requestScopeOrg'
    }

    def __init__(self, content_type=None, path=None, branch=None, repository=None, integration_id=None, request_scope_org=None):  # noqa: E501
        """ContentSourceConfig - a model defined in Swagger"""  # noqa: E501
        self._content_type = None
        self._path = None
        self._branch = None
        self._repository = None
        self._integration_id = None
        self._request_scope_org = None
        self.discriminator = None
        if content_type is not None:
            self.content_type = content_type
        if path is not None:
            self.path = path
        if branch is not None:
            self.branch = branch
        if repository is not None:
            self.repository = repository
        if integration_id is not None:
            self.integration_id = integration_id
        if request_scope_org is not None:
            self.request_scope_org = request_scope_org

    @property
    def content_type(self):
        """Gets the content_type of this ContentSourceConfig.  # noqa: E501


        :return: The content_type of this ContentSourceConfig.  # noqa: E501
        :rtype: str
        """
        return self._content_type

    @content_type.setter
    def content_type(self, content_type):
        """Sets the content_type of this ContentSourceConfig.


        :param content_type: The content_type of this ContentSourceConfig.  # noqa: E501
        :type: str
        """

        self._content_type = content_type

    @property
    def path(self):
        """Gets the path of this ContentSourceConfig.  # noqa: E501


        :return: The path of this ContentSourceConfig.  # noqa: E501
        :rtype: str
        """
        return self._path

    @path.setter
    def path(self, path):
        """Sets the path of this ContentSourceConfig.


        :param path: The path of this ContentSourceConfig.  # noqa: E501
        :type: str
        """

        self._path = path

    @property
    def branch(self):
        """Gets the branch of this ContentSourceConfig.  # noqa: E501


        :return: The branch of this ContentSourceConfig.  # noqa: E501
        :rtype: str
        """
        return self._branch

    @branch.setter
    def branch(self, branch):
        """Sets the branch of this ContentSourceConfig.


        :param branch: The branch of this ContentSourceConfig.  # noqa: E501
        :type: str
        """

        self._branch = branch

    @property
    def repository(self):
        """Gets the repository of this ContentSourceConfig.  # noqa: E501


        :return: The repository of this ContentSourceConfig.  # noqa: E501
        :rtype: str
        """
        return self._repository

    @repository.setter
    def repository(self, repository):
        """Sets the repository of this ContentSourceConfig.


        :param repository: The repository of this ContentSourceConfig.  # noqa: E501
        :type: str
        """

        self._repository = repository

    @property
    def integration_id(self):
        """Gets the integration_id of this ContentSourceConfig.  # noqa: E501


        :return: The integration_id of this ContentSourceConfig.  # noqa: E501
        :rtype: str
        """
        return self._integration_id

    @integration_id.setter
    def integration_id(self, integration_id):
        """Sets the integration_id of this ContentSourceConfig.


        :param integration_id: The integration_id of this ContentSourceConfig.  # noqa: E501
        :type: str
        """

        self._integration_id = integration_id

    @property
    def request_scope_org(self):
        """Gets the request_scope_org of this ContentSourceConfig.  # noqa: E501


        :return: The request_scope_org of this ContentSourceConfig.  # noqa: E501
        :rtype: bool
        """
        return self._request_scope_org

    @request_scope_org.setter
    def request_scope_org(self, request_scope_org):
        """Sets the request_scope_org of this ContentSourceConfig.


        :param request_scope_org: The request_scope_org of this ContentSourceConfig.  # noqa: E501
        :type: bool
        """

        self._request_scope_org = request_scope_org

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(ContentSourceConfig, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, ContentSourceConfig):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
